Subject: bug#39120: closed (Re: [bug#39120] [00/12] Update Ruby to 2.6.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 09 May 2020 07:40:01 +0000

Your bug report

#39120: [00/12] Update Ruby to 2.6.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
39120: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=39120
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#39120] [00/12] Update Ruby to 2.6.
From: Christopher Baines <[email-masked]>
To: [email-masked]
Date: Sat, 09 May 2020 08:39:23 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Christopher Baines <[email-masked]> writes:

> Christopher Baines <[email-masked]> writes:
>
>> Marius Bakke <[email-masked]> writes:
>>
>>> Christopher Baines <[email-masked]> writes:
>>>
>>>> So, these patches are a bit late, 2.7 is already out, but it's a bit to
>>>> early to update to 2.7, so let's just do 2.6, then add a package for
>>>> 2.7.
>>>>
>>>>
>>>> Christopher Baines (12):
>>>>   gnu: ruby-listen: Update to 3.2.0.
>>>>   gnu: ruby-aruba: Update to 0.14.14.
>>>>   gnu: ruby-childprocess-0.6: Remove version 0.6.3.
>>>>   gnu: ruby-childprocess: Update to 3.0.0.
>>>>   gnu: ruby-yard: Update to 0.9.20.
>>>>   gnu: ruby-hoe: Update to 3.21.0.
>>>>   gnu: ruby-power-assert: Update to 1.1.5.
>>>>   gnu: ruby-json-pure: Update to 2.2.0.
>>>>   gnu: ruby-tzinfo: Skip safe tests.
>>>>   gnu: ruby-2.4: Update to 2.4.9.
>>>>   gnu: ruby: Update to 2.6.5.
>>>>   gnu: Add ruby-2.5.
>>>
>>> Thanks!  This is for 'core-updates', right?  LGTM.
>>
>> Yeah, I was waiting until I got the Guix Data Service to compare the
>> differences (it's still a bit broken, but I'm trying to get my patch
>> testing setup working again [1]).
>>
>> 1: https://laminar.cbaines.net/jobs/patchwork-test-series/190
>>
>> At least with [2], the number is 3861 rebuilds, which means core-updates
>> I think.
>>
>> 2: ./pre-inst-env guix refresh -l [email-masked] [email-masked] [email-masked] ruby-tzinfo
>> ruby-json-pure ruby-power-assert ruby-hoe ruby-yard ruby-childprocess
>> ruby-aruba ruby-listen
>
> I've gone ahead and pushed to core-updates as
> 227fab3ed8842b22337196ee21c79143fc093855.
>
> Thanks for taking a look :)

core-updates has now been merged, so I'm closing this.

Subject: [00/12] Update Ruby to 2.6.
From: Christopher Baines <[email-masked]>
To: [email-masked]
Date: Mon, 13 Jan 2020 20:30:48 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

So, these patches are a bit late, 2.7 is already out, but it's a bit to
early to update to 2.7, so let's just do 2.6, then add a package for
2.7.

Christopher Baines (12):
  gnu: ruby-listen: Update to 3.2.0.
  gnu: ruby-aruba: Update to 0.14.14.
  gnu: ruby-childprocess-0.6: Remove version 0.6.3.
  gnu: ruby-childprocess: Update to 3.0.0.
  gnu: ruby-yard: Update to 0.9.20.
  gnu: ruby-hoe: Update to 3.21.0.
  gnu: ruby-power-assert: Update to 1.1.5.
  gnu: ruby-json-pure: Update to 2.2.0.
  gnu: ruby-tzinfo: Skip safe tests.
  gnu: ruby-2.4: Update to 2.4.9.
  gnu: ruby: Update to 2.6.5.
  gnu: Add ruby-2.5.

 gnu/packages/ruby.scm | 123 +++++++++++++++++++++++++++---------------
 1 file changed, 80 insertions(+), 43 deletions(-)